description: sealos-task-zw3
name: sealos-task-zw3
nsID: ns-admin
tasks:
  - taskType: cloud
    replicas: 2
    matchLabels:
      cloud: sealos
    metadata:
      - apiVersion: v1
        kind: Service
        metadata:
          namespace: ns-admin
          name: hello-world-3
          labels:
            cloud.sealos.io/app-deploy-manager: hello-world-3
        spec:
          ports:
            - port: 80
              targetPort: 80
              name: rcszabasszit
          selector:
            app: hello-world-3

      - apiVersion: apps/v1
        kind: Deployment
        metadata:
          namespace: ns-admin
          name: hello-world-3
          annotations:
            originImageName: nginx
            deploy.cloud.sealos.io/minReplicas: '1'
            deploy.cloud.sealos.io/maxReplicas: '1'
          labels:
            cloud.sealos.io/app-deploy-manager: hello-world-3
            app: hello-world-3
        spec:
          replicas: 1
          revisionHistoryLimit: 1
          selector:
            matchLabels:
              app: hello-world-3
          strategy:
            type: RollingUpdate
            rollingUpdate:
              maxUnavailable: 0
              maxSurge: 1
          template:
            metadata:
              labels:
                app: hello-world-3
                restartTime: '20231129185132'
            spec:
              containers:
                - name: hello-world-3
                  image: nginx
                  env: []
                  resources:
                    requests:
                      cpu: 10m
                      memory: 6Mi
                    limits:
                      cpu: 100m
                      memory: 64Mi
                  ports:
                    - containerPort: 80
                      name: rcszabasszit
                  imagePullPolicy: Always
                  volumeMounts: []
              volumes: []


